package com.datarecovery.master.module.homepage;

import androidx.annotation.DrawableRes;
import androidx.annotation.IntDef;
import androidx.lifecycle.LiveData;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class FunctionBean {

    public static final int FILE_RECOVERY = 1;
    public static final int VIDEO_RECOVERY = 2;
    public static final int AUDIO_RECOVERY = 3;
    public static final int IMG_CLEARING = 4;


    @IntDef({FILE_RECOVERY, VIDEO_RECOVERY, AUDIO_RECOVERY, IMG_CLEARING})
    @Retention(RetentionPolicy.SOURCE)
    public @interface FunctionId {
    }

    private int functionId;
    private String functionName;
    @DrawableRes
    private int functionIcon;

    private LiveData<Boolean> isShowTrial;

    public FunctionBean(@FunctionId int functionId, String functionName, int functionIcon, LiveData<Boolean> isShowTrial) {
        this.functionId = functionId;
        this.functionName = functionName;
        this.functionIcon = functionIcon;
        this.isShowTrial = isShowTrial;
    }

    public LiveData<Boolean> getIsShowTrial() {
        return isShowTrial;
    }

    @FunctionId
    public int getFunctionId() {
        return functionId;
    }

    public String getFunctionName() {
        return functionName;
    }

    public int getFunctionIcon() {
        return functionIcon;
    }

}
